.register {
  .login-page-wrapper {
    position: relative;

    &:before {
      @include pseudo;
      @include themify($themes) {
        background-color: themed('brand-tertiary');
      }
      border-radius: 50%;
      height: 15vw;
      max-height: 16rem;
      max-width: 16rem;
      right: -5vw;
      top: 20vw;
      transition: map-get($transition, 'all-fast');
      width: 15vw;
      z-index: 0;

      @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
        right: -3vw;
        top: 10vw;
      }
    }
  }

  .login-page {
    align-items: start;

    &:before {
      @include pseudo;
      @include themify($themes) {
        background-color: themed('brand-quaternary');
      }
      border-radius: 50%;
      height: 30vw;
      max-height: 100rem;
      max-width: 100rem;
      right: -5vw;
      top: -5vw;
      transition: map-get($transition, 'all-fast');
      width: 30vw;
      z-index: 0;

      @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
        right: 0;
        top: -15vw;
      }
    }

    &:after {
      @include pseudo;
      @include themify($themes) {
        background-color: themed('brand-primary');
      }
      border-radius: 50%;
      bottom: -25vw;
      height: 50vw;
      left: -5rem;
      max-height: 100rem;
      max-width: 100rem;
      transition: map-get($transition, 'all-fast');
      width: 50vw;
      z-index: 0;

      @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
        bottom: -10vw;
        left: auto;
        right: -15vw;
      }
    }
  }

  .form-group {
    &:last-of-type {
      margin-top: map-get($spacing, 'desktop');
    }
  }

  .login-options {
    margin-left: 0;

    a {
      display: block;
      height: 1.3rem;
      margin-bottom: map-get($spacing, 'mobile-half');
      position: relative;
      width: 2.6rem;

      @include breakpoint(map-get($breakpoints, 'breakpoint-xxl')) {
        left: map-get($spacing, 'desktop-half');
        margin-bottom: 0;
        position: fixed;
        top: 50vh;
      }

      &:before {
        @include pseudo;
        @include themify($themes) {
          border-right: 2px solid themed('black');
          border-top: 2px solid themed('black');
        }
        height: 1rem;
        left: 0;
        top: calc(50% - .4rem);
        transform: rotate(-135deg);
        transition: map-get($transition, 'all-fast');
        width: 1rem;
      }

      &:after {
        @include pseudo;
        @include themify($themes) {
          background: themed('black');
        }
        height: 2px;
        left: -.2rem;
        top: 50%;
        transition: all .3s ease;
        transition: map-get($transition, 'all-fast');
        width: 2.5rem;
      }

      &:hover {
        &:before {
          left: -.5rem;
        }

        &:after {
          left: -.7rem;
        }
      }
    }
  }

  .card {
    justify-self: end;
    margin-top: map-get($spacing, 'desktop');
    position: relative;
    width: 100%;
    z-index: 2;

    @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
      max-width: map-get($widths, 'max-width-micro');
    }
  }

  .card-header {
    @include themify($themes) {
      background: themed('brand-1');
    }
  }
}
